Skip to main content

Idle times

POST{{server}}/api/v1/counter/session/idleTimes

For clerk statistics, the counter should send the measured idle times to the server. It can be sent everytime during the clerk session. It's recommended to send when the counter calls a ticket or stop the session.

If it was successful, it returns 204 and should reset the local measured values.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"idleTime": {
"passive": 123,
"active": 456
}
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/session/idleTimes' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"idleTime": {
"passive": 123,
"active": 456
}
}'

Example​

Example request
POST{{server}}/api/v1/counter/session/idleTimes
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"idleTime": {
"passive": 123,
"active": 456
}
}
Example response 204 No Content
No response body